Package org.jfree.layouting.layouter.i18n

## Interface LocalizationContext

- All Known Implementing Classes:
    `DefaultLocalizationContext`

      public interface LocalizationContext

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.text.DateFormat` | `getDateFormat​(java.lang.String format, java.util.Locale language)` |
    `java.text.DateFormat` | `getDateFormat​(java.util.Locale language)` |
    `java.text.NumberFormat` | `getIntegerFormat​(java.util.Locale language)` |
    `java.text.NumberFormat` | `getNumberFormat​(java.lang.String format, java.util.Locale language)` |
    `java.text.NumberFormat` | `getNumberFormat​(java.util.Locale language)` |
    `java.text.DateFormat` | `getTimeFormat​(java.util.Locale language)` |

- - ### Method Detail

    - #### getDateFormat

          java.text.DateFormat getDateFormat​(java.lang.String format,
                                             java.util.Locale language)

    - #### getDateFormat

          java.text.DateFormat getDateFormat​(java.util.Locale language)

    - #### getTimeFormat

          java.text.DateFormat getTimeFormat​(java.util.Locale language)

    - #### getIntegerFormat

          java.text.NumberFormat getIntegerFormat​(java.util.Locale language)

    - #### getNumberFormat

          java.text.NumberFormat getNumberFormat​(java.util.Locale language)

    - #### getNumberFormat

          java.text.NumberFormat getNumberFormat​(java.lang.String format,
                                                 java.util.Locale language)